/*
 * plugin.h: 
 *
 * Copyright (C) 2001 Sakari Lehtonen (sakari@ionstream.fi)
 * 
 */

#ifndef UMIX_PLUGIN_H
#define UMIX_PLUGIN_H

#include "umix_common.h"
#include <dlfcn.h>

/* hmmhmmhmm .. this is just to make sure that plugins are found */
#ifndef DEF_PLUGIN_DIR
  #define DEF_PLUGIN_DIR "/usr/lib/umix"
  #define EXTRA_PLUGIN_DIR "/usr/local/lib/umix"
#endif

enum 
{
	PLUGIN_DRIVER,
	PLUGIN_UI
};

int init_plugins(void);
void *load_plugin(const char *name, int type);

/* the driver and ui tabs, declared in plugin.c */
extern nvtab drivertab;
extern nvtab uitab;

#endif /* UMIX_PLUGIN_H */
