/* 
 * umix_error.h:
 * Error and wrapper function headers.
 *
 * Copyright (C) 2001 Sakari Lehtonen <sakari@ionstream.fi>
 *
 */

#ifndef UMIX_ERROR_H
#define UMIX_ERROR_H

int eioctl(int fd, int request, void *arg);
void *emalloc(size_t size);
void *erealloc(void *ptr, size_t size);
char *estrdup(const char *str);
void eclose(int fd);
int eopen(const char *pathname, int flags, mode_t mode);
	
void errormsg(const char *fmt, ...);
void errorstr(const char *fmt, ...);
void errorquit(const char *fmt, ...);

#endif /* UMIX_ERROR_H */
